AurionAI Docs

Create Agent Conversation

Create a new conversation from the agent inbox (Issue #523). Accepts subject, description, priority, category, custom_attrs and a required contact_id. Channel defaults to 'agent_created'. Uses RLS bypass for the insert.

POST
/api/v2/conversations

Create a new conversation from the agent inbox (Issue #523).

Accepts subject, description, priority, category, custom_attrs and a required contact_id. Channel defaults to 'agent_created'. Uses RLS bypass for the insert.

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v2/conversations" \  -H "Content-Type: application/json" \  -d '{    "contact_id": "string",    "description": "string",    "subject": "string"  }'
{
  "created_at": "2019-08-24T14:15:22Z",
  "display_id": "string",
  "id": "string",
  "priority": "string",
  "status": "string",
  "subject": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}